Package groovy.toml

# Class TomlRuntimeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.lang.GroovyRuntimeException
groovy.toml.TomlRuntimeException

All Implemented Interfaces:
  `Serializable`

@Incubating public class TomlRuntimeException extends GroovyRuntimeException
Represents runtime exception occurred when parsing or building TOML

Since:
  4.0.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TomlRuntimeException(String msg)`
  `TomlRuntimeException(String msg, Throwable cause)`
  `TomlRuntimeException(Throwable cause)`

- ## Method Summary

  ### Methods inherited from class groovy.lang.GroovyRuntimeException

  `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TomlRuntimeException

    public TomlRuntimeException(String msg)

  - ### TomlRuntimeException

    public TomlRuntimeException(Throwable cause)

  - ### TomlRuntimeException

    public TomlRuntimeException(String msg, Throwable cause)